Check if token exists and license is active
Returns a boolean flag whether the given token exists for a user and the license 'set_restapi_token_right' is active.
curl -X GET "https://api.example.com/restapi/v1/checkToken/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/restapi/v1/checkToken/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/restapi/v1/checkToken/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/restapi/v1/checkToken/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/restapi/v1/checkToken/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
{
"exists": true
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
GET
/checkToken/{token}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
tokenstring
RequiredThe REST API token to validate
Request Preview
Response
Response will appear here after sending the request
Path Parameters
tokenstring
RequiredThe REST API token to validate
Responses
existsboolean
true if token exists and license is active, false otherwise
Was this page helpful?